createBot
Create bot
POST
/v1/admin/botsAuthorization
AuthorizationBearerBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Header parameters
x-workspace-idstringWorkspace ID
x-multiple-integrations?stringWhether the client supports bots with multiple instances of the same integration. Set to "true" to receive integration instances keyed by their alias instead of their id. This header will be removed in the future, and the API will always return multiple instances keyed by alias.
Request body
Bot metadata
states?objectA mapping of states to their definition
events?objectEvents definition
recurringEvents?objectsubscriptions?objectSubscriptions of the bot
actions?objectActions definition
configuration?objectuser?objectconversation?objectmessage?objecttags?objectOptional attributes of the Bot
code?stringJavaScript code of the bot
name?stringOptional name for the bot, if not provided will be auto-generated(min length: 1)
description?stringOptional description for the bot(max length: 2000)
medias?object[]Media files associated with the Bot
url?stringURL of the Bot
secrets?objectSecrets are values available in the code via environment variables formatted with a SECRET_ prefix followed by your secret name. A secret name must respect SCREAMING_SNAKE casing.
dev?booleanIndicates if the Bot is a development bot; Development bots run locally and can install dev integrations
type?enum<string>Available options:
"studio","adk"maxExecutionTime?integerMaximum execution time (in seconds).
Response
Success
botobject